opkg(1)

NAME
opkg - command line utility to install, upgrade and uninstall opkg software packages

SYNOPSIS
opkg [OPTIONS...] sub-command [ARGUMENTS...]

DESCRIPTION
opkg is a simple utility to install, upgrade and uninstall opkg software packages. Opkg is a lightweight package management system based on Ipkg.

OPTIONS AND COMMANDS

  SUB-COMMANDS : PACKAGE MANIPULATION

update
    Update list of available packages

upgrade
    Upgrade installed packages

install <package(s)>
    Install package(s)

configure <package(s)>
    Configure unpacked package(s)

remove <packages|glob>
    Remove package(s). glob works like a shell globbing pattern and could be something like 'pkgname*' '*file*' or similar

flag <flag> <packages>
    Flag package(s). Available flags (one per invocation):
    hold
    noprune
    user
    ok
    installed
    unpacked

  INFORMATIONAL SUB-COMMANDS

list
    List available packages

list-installed
    List installed packages

list-upgradable
    List installed and upgradable packages

list-changed-conffiles
    List package configuration files which have been modified after installation

files <package>
    List files belonging to package

search <file|glob>
    List package providing file

find <regexp>
    List packages with names or description matching regexp

info [package|glob]
    Display all info for selected packages

status [package|glob]
    Display all statuses for selected packages

download <package>
    Download package to current directory

compare-version <version1> <operator> <version2>
    compare versions using following operators :
    << | less than
    < | less than or equal to
    <= | less than or equal to
     | equal to
    >= | greater than or equal to
    > | greater than or equal to
    >> | greater than

print-architecture
    List installable package architectures

whatdepends [-A] <package(s)|glob>

whatdependsrec [-A] <package(s)|glob>

whatprovides [-A] <package(s)|glob>

whatconflicts [-A] <package(s)|glob>

whatreplaces [-A] <package(s)|glob>

  OPTIONS

-A  Query all packages not just those installed

-v <level>, --verbosity <level>
    Set verbosity level to level. Verbosity levels :
    0 | errors only
    1 | normal messages (default)
    2 | informative messages
    3 | debug
    4 | debug level 2

-f <conf_file>, --conf <conf_file>
    Use conf_file as the opkg configuration file

--cache <directory>
    Use a package cache

-d <dest_name>, --dest <dest_name>
    Use dest_name as the the root directory for package installation, removal, upgrading. dest_name should be a defined dest name from the configuration file, (but can also be a directory name in a pinch).

-o <directory>, --offline-root <directory>
    Use directory as the root directory for offline installation of packages.

--add-dest <name>:<path>
    Register path as installation target name for use in conjunction with --dest

--add-arch <arch>:<prio>
    Register the package architecture arch with the numeric priority prio. Lower priorities take precedence.

  FORCE OPTIONS

--force-depends
    Install/remove despite failed dependencies

--force-maintainer
    Overwrite preexisting config files

--force-reinstall
    Reinstall package(s)

--force-overwrite
    Overwrite files from other package(s)

--force-downgrade
    Allow opkg to downgrade packages

--force-space
    Disable free space checks

--force-postinstall
    Execute package postinstall scripts in offline installation mode

--force-remove
    Remove package even if prerm script fails

--force-checksum
    Don't fail on checksum mismatches

--noaction
    No action - test only

--size
    Print package size when listing available packages

--download-only
    No action - download only

--nodeps
    Do not follow dependencies

--force-removal-of-dependent-packages
    Remove package and all dependencies

--autoremove
    Remove packages that were installed automatically to satisfy dependencies

-t <directory>, --tmp-dir <directory>
    Specify directory as temporary directory

-l <directory>, --lists-dir <directory>
    Specify directory as package lists directory

REPORTING BUGS
Report bugs to http://code.google.com/p/opkg/issues/list

Copyright © Opkg development team.

Copyright © Ipkg development team.